<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_f0"
    android:orientation="vertical">

    <include layout="@layout/supply_chain_top_bar" />

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_10"
        android:layout_marginTop="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_10"
        android:layout_marginBottom="@dimen/dp_10"
        android:background="@drawable/shape_theme_eight_corners_bg"
        app:layout_collapseMode="parallax">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingLeft="@dimen/dp_10"
            android:paddingTop="@dimen/dp_5"
            android:paddingBottom="@dimen/dp_5">

            <TextView
                android:id="@+id/tv_order_details_supplier_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/white"
                android:textSize="@dimen/dp_16"
                tools:text="海鮮天地" />

            <TextView
                android:id="@+id/tv_order_details_order_no"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_5"
                android:textColor="@color/white"
                android:textSize="@dimen/dp_14"
                tools:text="訂單號：DD0001" />

            <TextView
                android:id="@+id/tv_order_details_create_time"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_5"
                android:textColor="@color/white"
                android:textSize="@dimen/dp_14"
                tools:text="2020-11-20 12:00" />
        </LinearLayout>

        <TextView
            android:id="@+id/tv_order_details_order_state"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end|center_vertical"
            android:layout_marginRight="@dimen/dp_10"
            android:textColor="@color/white"
            android:textSize="@dimen/dp_18"
            tools:text="部分收貨" />
    </FrameLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_order_details_food_list"
        android:layout_width="match_parent"
        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
        android:layout_height="0dp"
        android:layout_weight="1" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:elevation="@dimen/dp_10"
        android:background="@color/white"
        android:orientation="vertical"
        android:paddingTop="@dimen/dp_10"
        android:paddingBottom="@dimen/dp_10">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:paddingLeft="@dimen/dp_20"
            android:paddingRight="@dimen/dp_20">

            <CheckBox
                android:id="@+id/cb_order_details_all_selected"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="全選"
                android:textColor="@color/color_3c"
                android:textSize="@dimen/dp_14" />

            <TextView
                style="@style/supplier_chain_222_16"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_20"
                android:text="食材種類："
                android:textStyle="bold" />

            <TextView
                android:id="@+id/tv_order_details_food_type_total"
                style="@style/supplier_chain_222_16"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/required_color"
                tools:text="3" />

            <View
                android:layout_width="@dimen/dp_0"
                android:layout_height="match_parent"
                android:layout_weight="1" />

            <TextView
                style="@style/supplier_chain_222_16"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_20"
                android:text="總計："
                android:textStyle="bold" />

            <TextView
                android:id="@+id/tv_order_details_total_amount"
                style="@style/supplier_chain_222_16"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/required_color"
                tools:text="$300.00" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:paddingLeft="@dimen/dp_20"
            android:paddingTop="@dimen/dp_10"
            android:paddingRight="@dimen/dp_20">

            <TextView
                style="@style/supplier_chain_222_16"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="文件上傳：" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/tv_order_details_click_upload"
                    style="@style/supplier_chain_222_16"
                    android:layout_width="wrap_content"
                    android:layout_height="0dp"
                    android:layout_gravity="end"
                    android:layout_weight="1"
                    android:text="點擊上傳"
                    android:textColor="@color/click_upload_text_color" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_1"
                    android:background="@color/color_53" />
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_5"
            android:orientation="horizontal"
            android:paddingLeft="@dimen/dp_20"
            android:paddingRight="@dimen/dp_20">

            <TextView
                style="@style/supplier_chain_222_16"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="備註：" />


            <EditText
                android:id="@+id/ed_order_details_remark"
                style="@style/supplier_chain_222_16"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="手動輸入"
                android:textColorHint="@color/color_c9" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_5"
            android:gravity="center_horizontal"
            android:orientation="horizontal"
            android:paddingLeft="@dimen/dp_10"
            android:paddingRight="@dimen/dp_10">

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/tv_order_details_buy_again"
                style="@style/Style_Btn_Green"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="再次購買" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/tv_order_details_partial_receipt"
                style="@style/Style_Btn_Yellow"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_12"
                android:layout_weight="1"
                android:gravity="center"
                android:text="部分收貨" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/tv_order_details_receipt"
                style="@style/Style_Btn_Brick_Red"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_12"
                android:layout_weight="1"
                android:gravity="center"
                android:text="收貨" />
        </LinearLayout>

    </LinearLayout>
</LinearLayout>